import axios from 'axios'
import qs from "qs"
console.log(import.meta.env.VITE_APP_TITLE)
const service = axios.create({
    baseURL: import.meta.env.VITE_APP_BASE_API,
    headers: {
        'Content-Type': 'application/json;charset=UTF-8',
        'Content-Type': 'application/x-www-form-urlencoded'
    },
    timeout: 8000
})

// 请求拦截器
service.interceptors.request.use(config => {
    // get 参数序列化
    if (config.method == 'get' && config.url.indexOf("?") != -1) {
        config.url = config.url + "&" + qs.stringify(config.data)
    } else if (config.method == 'get' && config.url.indexOf("?") == -1) {
        config.url = config.url + "?" + qs.stringify(config.data)
    }

    return config
})

// 响应拦截器
service.interceptors.response.use(res => {
    // console.log(res.data)
    if (res.status == 200) {
        // console.log("请求成功")
    }
    return res.data
}, (err) => {
    // console.log(err)
    return Promise.reject(err)
})


export default service